vfSetGetForMoh = {};

function vfSetGetForMoh:getBestPrice(fillType, frame)
	if VehicleFruitHud.values.foundMoh and VehicleFruitHud.moh ~= nil then
		if VehicleFruitHud.moh.moFillTypes.values.bestPrice[fillType] == nil then return false;end;
		if g_currentMission.hl.timers["vfUpdateBestPrice"] ~= nil then 
			if VehicleFruitHud.values.viewBestPrice.frame[frame] == nil or VehicleFruitHud.values.viewBestPrice.frame[frame].fillType ~= fillType then			
				g_currentMission.hl.removeTimer("vfUpdateBestPrice");
			else
				return true;
			end;
		end;
		g_currentMission.hl.addTimer( {delay=VehicleFruitHud.values.viewBestPrice.updateTimer, name="vfUpdateBestPrice", repeatable=1, ms=false, action=nil} );				
		local isRunning = g_currentMission.multiOverlayV4.moduleFunction.getActiveRunningModul( {modName="multiOverlayV4", modulName="sellingStations" } );
		if not isRunning then VehicleFruitHud.moh.moSellingStations.load();end;
		if VehicleFruitHud.values.viewBestPrice.frame[frame] == nil then VehicleFruitHud.values.viewBestPrice.frame[frame] = {};end;		
		VehicleFruitHud.values.viewBestPrice.frame[frame].fillType = fillType;
		VehicleFruitHud.values.viewBestPrice.frame[frame].bestPrice = VehicleFruitHud.moh.moFillTypes.values.bestPrice[fillType][1][1];
		VehicleFruitHud.values.viewBestPrice.frame[frame].stationName = VehicleFruitHud.moh.moFillTypes.values.bestPrice[fillType][1][2];	
		VehicleFruitHud.values.viewBestPrice.frame[frame].fillTypeName = "";
		return true;				
	end;
	return false;
end;

function vfSetGetForMoh:loadPdaIcons()
end;

function vfSetGetForMoh:loadCmds()
end;